请选择 进入手机版 | 继续访问电脑版

Exynos4412/4418/6818/i.MX6开发板俱乐部

 找回密码
 立即注册
搜索
热搜: 活动 交友 discuz
查看: 355|回复: 2

请问使用已搭建好的环境编译ARM版Qt应用需要额外做哪些配置

[复制链接]

1

主题

1

帖子

10

积分

新手上路

Rank: 1

积分
10
发表于 2018-5-23 10:32:05 | 显示全部楼层 |阅读模式
问题描述:
首先用VMWare加载了虚拟硬盘,启动直接进入官方配置好的Ubuntu系统
然后安装Qt 5.3.2,一路下一步
接下来新建一个Qt工程 使用/opt/qt-4.7.1/bin中的qmake生成了makefile
但是make的时候提示 arm-linux-g++找不到 所以我将makefile中的每一个arm-linux-前缀都改成了arm-none-linux-gnueabi-前缀
这次避免了上面的问题 但是又提示链接错误,缺少libpng.so
如下显示
所以 如果如何找到这个libpng.so还是我有哪些配置还不到位

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

55

主题

218

帖子

1624

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
1624
发表于 2018-5-25 09:31:48 | 显示全部楼层
你的qte库要先编译呀~不然用的qmake指向哪里呢?
回复 支持 反对

使用道具 举报

0

主题

1

帖子

145

积分

注册会员

Rank: 2

积分
145
发表于 2018-5-25 17:08:52 | 显示全部楼层
dddddddddddddddddddddddddddddddd
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|迅为电子 ( 京ICP备12036083号-2

GMT+8, 2018-10-22 22:46 , Processed in 0.092632 second(s), 24 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表